NisusWrtParserInternal::Zone Struct Reference

internal structure used to stored some zone data More...

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

std::vector< Reference > | m_referenceList
| the list of reference
std::vector< int > | m_numberingResetList
| the list of numbering reset id
std::vector< Variable > | m_variableList
| the list of variable
std::vector< Variable > | m_versionList
| the list of versions

## Detailed Description

internal structure used to stored some zone data

## Constructor & Destructor Documentation

## Zone()

NisusWrtParserInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_numberingResetList

std::vector<int> NisusWrtParserInternal::Zone::m_numberingResetList

the list of numbering reset id

Referenced by Zone().

## m_referenceList

std::vector<Reference> NisusWrtParserInternal::Zone::m_referenceList

the list of reference

Referenced by Zone().

## m_variableList

std::vector<Variable> NisusWrtParserInternal::Zone::m_variableList

the list of variable

Referenced by NisusWrtParser::getDateFormat(), and Zone().

## m_versionList

std::vector<Variable> NisusWrtParserInternal::Zone::m_versionList

the list of versions

Referenced by Zone().

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx